# τ-Punkt-Lüftung

## Ziel des Projekts

Der Keller ist feucht? _Richtig Lüften_ hilft!

_Richtig Lüften_ bedeutet:

* Luft von außen zuführen, wenn die Luftfeuchtigkeit draußen geriger ist
* keine Luft zuführen, wenn die Luftfeuchtigkeit draußen größer ist.

Gerade der letzte Punkt ist häufig ein Problem:

Da Warme Luft mehr Feuchtigkeit aufnehmen kann als kalte Luft kann es ein Problem sein, wenn man bei mäßiger Luftfeuchtigkeit draußen den Keller mit Umgebungsluft flutet: diese kühlt dann ab, kann weniger Feuchtigkeit transportieren und entsprechend schlägt sich das überschüssige Wasser an den Kühlen Wänden nieder.

Um das zu verhindern müssen also sowohl Luftfeuchtigkeit als auch Temperatur innen und außen in Betracht gezogen werden. [^vorlage]

## Aufbau

Abweichend vom ursprünglichen Projekt[^vorlage] verwende ich einen [Arduino Uno][uno] um das ganze zu betreiben, aber ein Arduino Nano sollte genauso funktionieren.
An diesen angeschlossen sind:

* zwei Temperatur-/Feuchtigkeitssensoren
    * Typ: DHT22-Modul (3-poliger Stecker)
    * an Pin 6: Außen-Fühler
    * an Pin 7: Innen-Fühler
* ein 4x16 LC-Display
    * im Gegensatz zum Ursprungs-Projekt[^vorlage] nicht per SPI, sondern per 4-bit-Bus angeschlossen
    * Achtung: im Schaltplan ist ein 2x16-Display dargestellt, die Software erwartet aber ein 4-zeiliges!
    * Das Poti ist zur Einstellung des Kontrastes und kann ggf. durch einfache Widerstände ersetzt werden
* ein Solid-State-Relais (SSR), um einen 230V-Ventilator an-/aus-zuschalten
* Der Arduino – und mit ihm die Sensoren, das Display und der Eingang vom SSR – werden über ein normales USB-Netzteil versorgt, welches an der gleichen Spannungsquelle hängt wie der Lüfter.

![Schaltplan](Schaltplan.png)

## Software

Bei der Software handelt es sich um einen Arduino-Sketch, der in einer Schleife

* die Messwerte von beiden Sensoren abfragt
* daraus die τ-Punkte für Innen- und Außenluft berechnet
* das Solid-State-Relais anschaltet, wenn alle folgenden Bedingungen erfüllt sind
    - die τ-Punkt-Temperatur draußen ist kleiner als drinnen  
    - die Temperatur draußen ist größer als 5°C
    - die relative Luftfeuchtigkeit drinnen ist über 50%

[^vorlage]: Vorlage für dieses Projekt war ein anderes Projekt, welches von mir modifiziert wurde, um ein anderes Display zu verwenden und ein Solid-State-Relais anstelle eines Relais-Moduls zu verwenden:  
https://github.com/MakeMagazinDE/Taupunktluefter
[uno]: https://docs.arduino.cc/hardware/uno-rev3/